Package Details: geth-git 1.6.7.r24.g3a678a15c-1

Git Clone URL: https://aur.archlinux.org/geth-git.git (read-only)
Package Base: geth-git
Description: Ethereum Go Client
Upstream URL: https://github.com/ethereum/go-ethereum
Licenses: GPL3, LGPL3
Conflicts: geth-git, go-ethereum, go-ethereum-git
Provides: abigen, bootnode, disasm, evm, geth, gethrpctest, rlpdump
Submitter: dmp1ce
Maintainer: 5chdn
Last Packager: 5chdn
Votes: 7
Popularity: 0.000000
First Submitted: 2015-06-25 04:41
Last Updated: 2017-07-25 09:48

Dependencies (4)

Required by (6)

Sources (1)

Latest Comments

« First ‹ Previous 1 2

5chdn commented on 2016-03-03 19:45

You can add me as co/maintainer, I'm willing to pick up this package if you wish to drop it.

dmp1ce commented on 2016-02-02 03:11

I moved to the develop branch using the URL syntax here: https://www.archlinux.org/pacman/PKGBUILD.5.html#_using_vcs_sources_a_id_vcs_a

I didn't add the conflicts because I didn't see those packages anywhere.

I added mist as an optional dependency.

I'm not currently developing with ethereum so I might not see problems with this package. Let me know if you anyone wants to take it over, or just continue to let me know what is broken.

5chdn commented on 2016-02-01 22:48

it keeps triggering updates because version r563 is not available in github. something is wrong in the pkgbuild version string. i keep getting r480 from github:

$ pacaur -Q geth-git
geth-git v0.9.39.r480.gc541b38-1

please let me suggest the following patch for the pkgbuild: https://gist.github.com/5chdn/6391a5ce8673f1af4496

- ensures working on develop branch
- add proper conflicted packages: geth, go-ethereum, go-ethereum-git
- add optional dependency: mist

5chdn commented on 2016-01-20 11:43

Could you rename (or add) provides to

provides=('geth')

in PKGBUILD? This allows other packages to depend on this one. The name go-ethereum is deprecated.

5chdn commented on 2016-01-20 11:42

Could you add

provides=('geth')

to PKGBUILD? This allows other packages to depend on this one.

dmp1ce commented on 2015-08-03 13:55

Updated license and tested that geth builds.

ser commented on 2015-08-02 11:03

Does not build, LICENSE file is not found.